Skip to main content
GET
/
sui
/
coinsList
Get SUI coins list with pagination
curl --request GET \
  --url https://api.getnimbus.io/sui/coinsList \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.getnimbus.io/sui/coinsList"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.getnimbus.io/sui/coinsList', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "tokens": [
      {
        "coinType": "<string>",
        "creator": "<string>",
        "package": "<string>",
        "totalSupply": 123,
        "holders": 123,
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "iconUrl": "<string>",
        "cmcId": "<string>",
        "coinGeckoId": "<string>",
        "circulating": 123,
        "marketCap": 123,
        "volume24H": 123,
        "ath": 123,
        "atl": 123,
        "verified": true,
        "createdAt": "<string>",
        "lastUpdatedAt": "<string>"
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "totalCount": 123,
      "totalPages": 123
    }
  }
}

Authorizations

x-api-key
string
header
default:nimbus-6a7c85b1-99f4-4d99-b8f3-e6e49b8daad0
required

API key for authentication

Query Parameters

page
integer
default:0

Page number (zero-based)

limit
integer
default:50

Number of items per page

Required range: x <= 50

Search term to filter tokens by name, symbol, or coinType

sortBy
enum<string>
default:volume24H:desc

Field and direction to sort by (format field:direction)

Available options:
name:asc,
name:desc,
symbol:asc,
symbol:desc,
price:asc,
price:desc,
marketCap:asc,
marketCap:desc,
priceChangePercentage24H:asc,
priceChangePercentage24H:desc,
priceChangePercentage7D:asc,
priceChangePercentage7D:desc,
volume24H:asc,
volume24H:desc,
holders:asc,
holders:desc,
totalSupply:asc,
totalSupply:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

Successful response with paginated SUI tokens

data
object